{% extends 'base.html' %}
{% load bootstrap5 %}

<!-- Tab Title -->
{% block tab_title %}
    Categories
{% endblock %}

<!-- Content -->
{% block content %}
    <a href="{% url 'create_category' %}" class="btn btn-primary">Create category</a>


    <table class="table">
        <thead>
        <tr>
            <th scope="col">#</th>
            <th scope="col">Description</th>
            <th scope="col">Created at</th>
            <th scope="col">Updated at</th>
            <th scope="col">Actions</th>
        </tr>
        </thead>
        <tbody>

        {% for category in categories %}
            <tr>
                <td>{{ category.name }}</td>
                <td>{{ category.description }}</td>
                <td>{{ category.created_at }}</td>
                <td>{{ category.updated_at }}</td>
                <td>
                    <a href="#" class="btn btn-sm btn-primary">Edit</a>
                    <a href="#" class="btn btn-sm btn-danger">Delete</a>
                </td>
            </tr>
        {% endfor %}

        </tbody>
    </table>
{% endblock %}